Page MenuHomePhabricator

e 22 beta freezing on Take Screenshot
Closed, ResolvedPublic

Description

I need to confirm via Take Shot. Anytime I go to Take a Screenshot. E freezes and I must kill it, not sure if it will crash eventually. I have left it for a bit but could not wait forever. I did notice the following in my session log file. Seems to be related as it was in between a few restarts/kills.

The final PAUSE! bit I have seen before and seems to be the result of the kill -9. Though other times I see it, E crashes on its own and no crash output file, as mentioned in T6146.

I am also actually on a bit newer than e 22 beta, git as of ~Oct 13 17:05 EST.

ERR<572>:ecore_evas lib/ecore_evas/ecore_evas.c:253 _ecore_evas_idle_enter() stuck async render: time=28801.366667, ee=0xb9bf61b560, engine=software_x11, geometry=(0, 0, 3360, 1050), visible=1, shaped=0, alpha=0, transparent=0
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib64/libeina.so.1  0x7fadccaab389 0x7fadcca83000
/usr/lib64/libeina.so.1  0x7fadccaac15f 0x7fadcca83000
/usr/lib64/libeina.so.1  0x7fadccaad5ff 0x7fadcca83000
/usr/lib64/libecore_evas.so.1    0x7fadc9ffed8c 0x7fadc9feb000
/usr/lib64/libecore.so.1         0x7fadcc1d57ae 0x7fadcc1bb000
/usr/lib64/libeo.so.1    0x7fadc712d51b 0x7fadc711b000
/usr/lib64/libeo.so.1    0x7fadc7129e84 0x7fadc711b000
/usr/lib64/libecore.so.1         0x7fadcc1d8bc6 0x7fadcc1bb000
/usr/lib64/libecore.so.1         0x7fadcc1d9287 0x7fadcc1bb000
/usr/bin/enlightenment   0xb9beda5ec2 0xb9bed5f000
/lib64/libc.so.6         0x7fadc8a43551 0x7fadc8a23000
/usr/bin/enlightenment   0xb9beda707a 0xb9bed5f000
EOF

ERR<572>:ecore_evas lib/ecore_evas/ecore_evas.c:255 _ecore_evas_idle_enter() delayed.avoid_damage=0
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib64/libeina.so.1  0x7fadccaab389 0x7fadcca83000
/usr/lib64/libeina.so.1  0x7fadccaac15f 0x7fadcca83000
/usr/lib64/libeina.so.1  0x7fadccaad5ff 0x7fadcca83000
/usr/lib64/libecore_evas.so.1    0x7fadc9ffedc3 0x7fadc9feb000
/usr/lib64/libecore.so.1         0x7fadcc1d57ae 0x7fadcc1bb000
/usr/lib64/libeo.so.1    0x7fadc712d51b 0x7fadc711b000
/usr/lib64/libeo.so.1    0x7fadc7129e84 0x7fadc711b000
/usr/lib64/libecore.so.1         0x7fadcc1d8bc6 0x7fadcc1bb000
/usr/lib64/libecore.so.1         0x7fadcc1d9287 0x7fadcc1bb000
/usr/bin/enlightenment   0xb9beda5ec2 0xb9bed5f000
/lib64/libc.so.6         0x7fadc8a43551 0x7fadc8a23000
/usr/bin/enlightenment   0xb9beda707a 0xb9bed5f000
EOF

ERR<572>:ecore_evas lib/ecore_evas/ecore_evas.c:256 _ecore_evas_idle_enter() delayed.resize_shape=0
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib64/libeina.so.1  0x7fadccaab389 0x7fadcca83000
/usr/lib64/libeina.so.1  0x7fadccaac15f 0x7fadcca83000
/usr/lib64/libeina.so.1  0x7fadccaad5ff 0x7fadcca83000
/usr/lib64/libecore_evas.so.1    0x7fadc9ffedfb 0x7fadc9feb000
/usr/lib64/libecore.so.1         0x7fadcc1d57ae 0x7fadcc1bb000
/usr/lib64/libeo.so.1    0x7fadc712d51b 0x7fadc711b000
/usr/lib64/libeo.so.1    0x7fadc7129e84 0x7fadc711b000
/usr/lib64/libecore.so.1         0x7fadcc1d8bc6 0x7fadcc1bb000
/usr/lib64/libecore.so.1         0x7fadcc1d9287 0x7fadcc1bb000
/usr/bin/enlightenment   0xb9beda5ec2 0xb9bed5f000
/lib64/libc.so.6         0x7fadc8a43551 0x7fadc8a23000
/usr/bin/enlightenment   0xb9beda707a 0xb9bed5f000
EOF

ERR<572>:ecore_evas lib/ecore_evas/ecore_evas.c:257 _ecore_evas_idle_enter() delayed.shaped=0
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib64/libeina.so.1  0x7fadccaab389 0x7fadcca83000
/usr/lib64/libeina.so.1  0x7fadccaac15f 0x7fadcca83000
/usr/lib64/libeina.so.1  0x7fadccaad5ff 0x7fadcca83000
/usr/lib64/libecore_evas.so.1    0x7fadc9ffee35 0x7fadc9feb000
/usr/lib64/libecore.so.1         0x7fadcc1d57ae 0x7fadcc1bb000
/usr/lib64/libeo.so.1    0x7fadc712d51b 0x7fadc711b000
/usr/lib64/libeo.so.1    0x7fadc7129e84 0x7fadc711b000
/usr/lib64/libecore.so.1         0x7fadcc1d8bc6 0x7fadcc1bb000
/usr/lib64/libecore.so.1         0x7fadcc1d9287 0x7fadcc1bb000
/usr/bin/enlightenment   0xb9beda5ec2 0xb9bed5f000
/lib64/libc.so.6         0x7fadc8a43551 0x7fadc8a23000
/usr/bin/enlightenment   0xb9beda707a 0xb9bed5f000
EOF

ERR<572>:ecore_evas lib/ecore_evas/ecore_evas.c:258 _ecore_evas_idle_enter() delayed.shaped_changed=0
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib64/libeina.so.1  0x7fadccaab389 0x7fadcca83000
/usr/lib64/libeina.so.1  0x7fadccaac15f 0x7fadcca83000
/usr/lib64/libeina.so.1  0x7fadccaad5ff 0x7fadcca83000
/usr/lib64/libecore_evas.so.1    0x7fadc9ffee70 0x7fadc9feb000
/usr/lib64/libecore.so.1         0x7fadcc1d57ae 0x7fadcc1bb000
/usr/lib64/libeo.so.1    0x7fadc712d51b 0x7fadc711b000
/usr/lib64/libeo.so.1    0x7fadc7129e84 0x7fadc711b000
/usr/lib64/libecore.so.1         0x7fadcc1d8bc6 0x7fadcc1bb000
/usr/lib64/libecore.so.1         0x7fadcc1d9287 0x7fadcc1bb000
/usr/bin/enlightenment   0xb9beda5ec2 0xb9bed5f000
/lib64/libc.so.6         0x7fadc8a43551 0x7fadc8a23000
/usr/bin/enlightenment   0xb9beda707a 0xb9bed5f000
EOF

ERR<572>:ecore_evas lib/ecore_evas/ecore_evas.c:259 _ecore_evas_idle_enter() delayed.alpha=0
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib64/libeina.so.1  0x7fadccaab389 0x7fadcca83000
/usr/lib64/libeina.so.1  0x7fadccaac15f 0x7fadcca83000
/usr/lib64/libeina.so.1  0x7fadccaad5ff 0x7fadcca83000
/usr/lib64/libecore_evas.so.1    0x7fadc9ffeeab 0x7fadc9feb000
/usr/lib64/libecore.so.1         0x7fadcc1d57ae 0x7fadcc1bb000
/usr/lib64/libeo.so.1    0x7fadc712d51b 0x7fadc711b000
/usr/lib64/libeo.so.1    0x7fadc7129e84 0x7fadc711b000
/usr/lib64/libecore.so.1         0x7fadcc1d8bc6 0x7fadcc1bb000
/usr/lib64/libecore.so.1         0x7fadcc1d9287 0x7fadcc1bb000
/usr/bin/enlightenment   0xb9beda5ec2 0xb9bed5f000
/lib64/libc.so.6         0x7fadc8a43551 0x7fadc8a23000
/usr/bin/enlightenment   0xb9beda707a 0xb9bed5f000
EOF

ERR<572>:ecore_evas lib/ecore_evas/ecore_evas.c:260 _ecore_evas_idle_enter() delayed.alpha_changed=0
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib64/libeina.so.1  0x7fadccaab389 0x7fadcca83000
/usr/lib64/libeina.so.1  0x7fadccaac15f 0x7fadcca83000
/usr/lib64/libeina.so.1  0x7fadccaad5ff 0x7fadcca83000
/usr/lib64/libecore_evas.so.1    0x7fadc9ffeee6 0x7fadc9feb000
/usr/lib64/libecore.so.1         0x7fadcc1d57ae 0x7fadcc1bb000
/usr/lib64/libeo.so.1    0x7fadc712d51b 0x7fadc711b000
/usr/lib64/libeo.so.1    0x7fadc7129e84 0x7fadc711b000
/usr/lib64/libecore.so.1         0x7fadcc1d8bc6 0x7fadcc1bb000
/usr/lib64/libecore.so.1         0x7fadcc1d9287 0x7fadcc1bb000
/usr/bin/enlightenment   0xb9beda5ec2 0xb9bed5f000
/lib64/libc.so.6         0x7fadc8a43551 0x7fadc8a23000
/usr/bin/enlightenment   0xb9beda707a 0xb9bed5f000
EOF

ERR<572>:ecore_evas lib/ecore_evas/ecore_evas.c:261 _ecore_evas_idle_enter() delayed.transparent=0
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib64/libeina.so.1  0x7fadccaab389 0x7fadcca83000
/usr/lib64/libeina.so.1  0x7fadccaac15f 0x7fadcca83000
/usr/lib64/libeina.so.1  0x7fadccaad5ff 0x7fadcca83000
/usr/lib64/libecore_evas.so.1    0x7fadc9ffef21 0x7fadc9feb000
/usr/lib64/libecore.so.1         0x7fadcc1d57ae 0x7fadcc1bb000
/usr/lib64/libeo.so.1    0x7fadc712d51b 0x7fadc711b000
/usr/lib64/libeo.so.1    0x7fadc7129e84 0x7fadc711b000
/usr/lib64/libecore.so.1         0x7fadcc1d8bc6 0x7fadcc1bb000
/usr/lib64/libecore.so.1         0x7fadcc1d9287 0x7fadcc1bb000
/usr/bin/enlightenment   0xb9beda5ec2 0xb9bed5f000
/lib64/libc.so.6         0x7fadc8a43551 0x7fadc8a23000
/usr/bin/enlightenment   0xb9beda707a 0xb9bed5f000
EOF

ERR<572>:ecore_evas lib/ecore_evas/ecore_evas.c:262 _ecore_evas_idle_enter() delayed.transparent_changed=0
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib64/libeina.so.1  0x7fadccaab389 0x7fadcca83000
/usr/lib64/libeina.so.1  0x7fadccaac15f 0x7fadcca83000
/usr/lib64/libeina.so.1  0x7fadccaad5ff 0x7fadcca83000
/usr/lib64/libecore_evas.so.1    0x7fadc9ffef5c 0x7fadc9feb000
/usr/lib64/libecore.so.1         0x7fadcc1d57ae 0x7fadcc1bb000
/usr/lib64/libeo.so.1    0x7fadc712d51b 0x7fadc711b000
/usr/lib64/libeo.so.1    0x7fadc7129e84 0x7fadc711b000
/usr/lib64/libecore.so.1         0x7fadcc1d8bc6 0x7fadcc1bb000
/usr/lib64/libecore.so.1         0x7fadcc1d9287 0x7fadcc1bb000
/usr/bin/enlightenment   0xb9beda5ec2 0xb9bed5f000
/lib64/libc.so.6         0x7fadc8a43551 0x7fadc8a23000
/usr/bin/enlightenment   0xb9beda707a 0xb9bed5f000
EOF

ERR<572>:ecore_evas lib/ecore_evas/ecore_evas.c:263 _ecore_evas_idle_enter() delayed.rotation=0
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib64/libeina.so.1  0x7fadccaab389 0x7fadcca83000
/usr/lib64/libeina.so.1  0x7fadccaac15f 0x7fadcca83000
/usr/lib64/libeina.so.1  0x7fadccaad5ff 0x7fadcca83000
/usr/lib64/libecore_evas.so.1    0x7fadc9ffef90 0x7fadc9feb000
/usr/lib64/libecore.so.1         0x7fadcc1d57ae 0x7fadcc1bb000
/usr/lib64/libeo.so.1    0x7fadc712d51b 0x7fadc711b000
/usr/lib64/libeo.so.1    0x7fadc7129e84 0x7fadc711b000
/usr/lib64/libecore.so.1         0x7fadcc1d8bc6 0x7fadcc1bb000
/usr/lib64/libecore.so.1         0x7fadcc1d9287 0x7fadcc1bb000
/usr/bin/enlightenment   0xb9beda5ec2 0xb9bed5f000
/lib64/libc.so.6         0x7fadc8a43551 0x7fadc8a23000
/usr/bin/enlightenment   0xb9beda707a 0xb9bed5f000
EOF

ERR<572>:ecore_evas lib/ecore_evas/ecore_evas.c:264 _ecore_evas_idle_enter() delayed.rotation_resize=0
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib64/libeina.so.1  0x7fadccaab389 0x7fadcca83000
/usr/lib64/libeina.so.1  0x7fadccaac15f 0x7fadcca83000
/usr/lib64/libeina.so.1  0x7fadccaad5ff 0x7fadcca83000
/usr/lib64/libecore_evas.so.1    0x7fadc9ffefc4 0x7fadc9feb000
/usr/lib64/libecore.so.1         0x7fadcc1d57ae 0x7fadcc1bb000
/usr/lib64/libeo.so.1    0x7fadc712d51b 0x7fadc711b000
/usr/lib64/libeo.so.1    0x7fadc7129e84 0x7fadc711b000
/usr/lib64/libecore.so.1         0x7fadcc1d8bc6 0x7fadcc1bb000
/usr/lib64/libecore.so.1         0x7fadcc1d9287 0x7fadcc1bb000
/usr/bin/enlightenment   0xb9beda5ec2 0xb9bed5f000
/lib64/libc.so.6         0x7fadc8a43551 0x7fadc8a23000
/usr/bin/enlightenment   0xb9beda707a 0xb9bed5f000
EOF

ERR<572>:ecore_evas lib/ecore_evas/ecore_evas.c:265 _ecore_evas_idle_enter() delayed.rotation_changed=0
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib64/libeina.so.1  0x7fadccaab389 0x7fadcca83000
/usr/lib64/libeina.so.1  0x7fadccaac15f 0x7fadcca83000
/usr/lib64/libeina.so.1  0x7fadccaad5ff 0x7fadcca83000
/usr/lib64/libecore_evas.so.1    0x7fadc9ffeffc 0x7fadc9feb000
/usr/lib64/libecore.so.1         0x7fadcc1d57ae 0x7fadcc1bb000
/usr/lib64/libeo.so.1    0x7fadc712d51b 0x7fadc711b000
/usr/lib64/libeo.so.1    0x7fadc7129e84 0x7fadc711b000
/usr/lib64/libecore.so.1         0x7fadcc1d8bc6 0x7fadcc1bb000
/usr/lib64/libecore.so.1         0x7fadcc1d9287 0x7fadcc1bb000
/usr/bin/enlightenment   0xb9beda5ec2 0xb9bed5f000
/lib64/libc.so.6         0x7fadc8a43551 0x7fadc8a23000
/usr/bin/enlightenment   0xb9beda707a 0xb9bed5f000
EOF

ERR<572>:ecore_evas lib/ecore_evas/ecore_evas.c:267 _ecore_evas_idle_enter() reset in_async_render of ee=0xb9bf61b560
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib64/libeina.so.1  0x7fadccaab389 0x7fadcca83000
/usr/lib64/libeina.so.1  0x7fadccaac15f 0x7fadcca83000
/usr/lib64/libeina.so.1  0x7fadccaad5ff 0x7fadcca83000
/usr/lib64/libecore_evas.so.1    0x7fadc9fff02b 0x7fadc9feb000
/usr/lib64/libecore.so.1         0x7fadcc1d57ae 0x7fadcc1bb000
/usr/lib64/libeo.so.1    0x7fadc712d51b 0x7fadc711b000
/usr/lib64/libeo.so.1    0x7fadc7129e84 0x7fadc711b000
/usr/lib64/libecore.so.1         0x7fadcc1d8bc6 0x7fadcc1bb000
/usr/lib64/libecore.so.1         0x7fadcc1d9287 0x7fadcc1bb000
/usr/bin/enlightenment   0xb9beda5ec2 0xb9bed5f000
/lib64/libc.so.6         0x7fadc8a43551 0x7fadc8a23000
/usr/bin/enlightenment   0xb9beda707a 0xb9bed5f000
EOF

PAUSE !

I accidentally took a "Shot"(Take Shot) of a window and that worked fine. Its just the main E menu "Take Screenshot" which causes issue. Locks up E.

zmike added a subscriber: jpeg.Oct 17 2017, 5:25 AM

@jpeg This is maybe related to the snapshot object which is now used for screenshots?

jpeg added a comment.Oct 18 2017, 12:10 AM

Dunno. Maybe? Any way to reproduce? I have no issues with GL and SW engines here (apparently SW is used for this report).

zmike added a comment.Oct 18 2017, 6:07 AM

It doesn't happen for me on the 1.20 branch, and I haven't heard of it happening in git. Looking at the snapshot usage in the module, I also don't see any obvious way that it could be happening...

If I take screenshots, it freezes E and has to be killed almost every time. I will try to get more info. When it doesn't freeze I just get a black screenshot. I will say moving windows around or opening or closing menus, or something that forces draws seems to make it work *sometimes*

abyomi0 triaged this task as Pending on user input priority.Oct 20 2017, 11:45 AM
abyomi0 raised the priority of this task from Pending on user input to Incoming Queue.Oct 20 2017, 11:58 AM
zmike triaged this task as Showstopper Issues priority.Nov 6 2017, 10:30 AM
zmike added a project: efl.
zmike reassigned this task from zmike to jpeg.
jpeg added a comment.Nov 7 2017, 4:40 AM

I'd love to fix this, if only I could reproduce... :-/

Any further info/updates on this?

I've never ever had this issue with E on X11 w/software or OpenGL compositing.

zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:51 AM
zmike edited projects, added efl: rendering; removed Restricted Project.Jun 11 2018, 7:41 AM

Can reproduce my problem with this at least. Start e in zephyr, open two terminology windows, menu->take screenshot. Black.

and fwiw here is my valgrind while running that:

==6026== Conditional jump or move depends on uninitialised value(s)
==6026==    at 0x9612C37: __wmemchr_avx2 (in /usr/lib64/libc-2.26.so)
==6026==    by 0x9584CE6: internal_fnwmatch (in /usr/lib64/libc-2.26.so)
==6026==    by 0x9588066: fnmatch@@GLIBC_2.2.5 (in /usr/lib64/libc-2.26.so)
==6026==    by 0x58C480: e_util_glob_match (e_utils.c:65)
==6026==    by 0x45DFD3: _e_client_moveinfo_gather (e_client.c:967)
==6026==    by 0x46D8EB: e_client_signal_move_begin (e_client.c:5271)
==6026==    by 0x43EB6F: _e_actions_act_window_move_go_signal (e_actions.c:125)
==6026==    by 0x452845: e_bindings_signal_handle (e_bindings.c:1137)
==6026==    by 0x47D984: _e_comp_object_cb_signal_bind (e_comp_object.c:388)
==6026==    by 0x8156269: edje_match_callback_exec_check_finals (edje_match.c:556)
==6026==    by 0x8156269: edje_match_callback_exec (edje_match.c:711)
==6026==    by 0x815D4E7: _edje_emit_cb (edje_program.c:1647)
==6026==    by 0x815D4E7: _edje_emit_handle (edje_program.c:1589)
==6026==    by 0x8157CEE: _edje_message_queue_process.part.3 (edje_message_queue.c:886)
==6026==
==6026==
==6026== HEAP SUMMARY:
==6026==     in use at exit: 10,847,561 bytes in 68,679 blocks
==6026==   total heap usage: 442,449 allocs, 373,770 frees, 212,489,970 bytes allocated
==6026==
==6026== 9 bytes in 1 blocks are definitely lost in loss record 220 of 12,182
==6026==    at 0x4C2CB6B: malloc (vg_replace_malloc.c:299)
==6026==    by 0x9541769: strdup (in /usr/lib64/libc-2.26.so)
==6026==    by 0x79F4081: _profile_fetch_from_conf (elm_config.c:1431)
==6026==    by 0x7A00DC5: _elm_config_init (elm_config.c:4199)
==6026==    by 0x7A94F3F: elm_quicklaunch_sub_init (elm_main.c:779)
==6026==    by 0x7A94FEA: elm_init (elm_main.c:384)
==6026==    by 0x5443FA: main (e_main.c:459)
==6026==
==6026== 15 bytes in 1 blocks are definitely lost in loss record 371 of 12,182
==6026==    at 0x4C2CB6B: malloc (vg_replace_malloc.c:299)
==6026==    by 0x9541769: strdup (in /usr/lib64/libc-2.26.so)
==6026==    by 0x53E81D4: eina_vpath_resolve (eina_vpath.c:285)
==6026==    by 0x6E2B7E9: _efreet_efreet_app_interface_set (efreet.c:49)
==6026==    by 0x6E2BEAF: efreet_init (efreet.c:149)
==6026==    by 0x704C4E1: efreet_mime_init (efreet_mime.c:376)
==6026==    by 0x725E64E: eio_init (eio_main.c:320)
==6026==    by 0x543C62: main (e_main.c:384)
==6026==
==6026== 16 bytes in 1 blocks are possibly lost in loss record 1,087 of 12,182
==6026==    at 0x4C2EA1E: calloc (vg_replace_malloc.c:711)
==6026==    by 0xB39F3B0: g_malloc0 (in /usr/lib64/libglib-2.0.so.0.5400.3)
==6026==    by 0x12C8486E: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C89A70: g_type_register_fundamental (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C67A4E: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C61927: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x400F4A9: call_init.part.0 (in /usr/lib64/ld-2.26.so)
==6026==    by 0x400F5B5: _dl_init (in /usr/lib64/ld-2.26.so)
==6026==    by 0x4000F09: ??? (in /usr/lib64/ld-2.26.so)
==6026==    by 0x2: ???
==6026==    by 0x1FFF00008A: ???
==6026==    by 0x1FFF000098: ???
==6026==
==6026== 16 bytes in 1 blocks are possibly lost in loss record 1,088 of 12,182
==6026==    at 0x4C2CAAC: malloc (vg_replace_malloc.c:298)
==6026==    by 0x4C2EC5F: realloc (vg_replace_malloc.c:785)
==6026==    by 0xB39F41F: g_realloc (in /usr/lib64/libglib-2.0.so.0.5400.3)
==6026==    by 0x12C84748: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C89A70: g_type_register_fundamental (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C67A4E: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C61927: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x400F4A9: call_init.part.0 (in /usr/lib64/ld-2.26.so)
==6026==    by 0x400F5B5: _dl_init (in /usr/lib64/ld-2.26.so)
==6026==    by 0x4000F09: ??? (in /usr/lib64/ld-2.26.so)
==6026==    by 0x2: ???
==6026==    by 0x1FFF00008A: ???
==6026==
==6026== 16 bytes in 1 blocks are possibly lost in loss record 1,089 of 12,182
==6026==    at 0x4C2EA1E: calloc (vg_replace_malloc.c:711)
==6026==    by 0xB39F3B0: g_malloc0 (in /usr/lib64/libglib-2.0.so.0.5400.3)
==6026==    by 0x12C8486E: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C89A70: g_type_register_fundamental (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C67AB1: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C61927: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x400F4A9: call_init.part.0 (in /usr/lib64/ld-2.26.so)
==6026==    by 0x400F5B5: _dl_init (in /usr/lib64/ld-2.26.so)
==6026==    by 0x4000F09: ??? (in /usr/lib64/ld-2.26.so)
==6026==    by 0x2: ???
==6026==    by 0x1FFF00008A: ???
==6026==    by 0x1FFF000098: ???
==6026==
==6026== 16 bytes in 1 blocks are possibly lost in loss record 1,090 of 12,182
==6026==    at 0x4C2CAAC: malloc (vg_replace_malloc.c:298)
==6026==    by 0x4C2EC5F: realloc (vg_replace_malloc.c:785)
==6026==    by 0xB39F41F: g_realloc (in /usr/lib64/libglib-2.0.so.0.5400.3)
==6026==    by 0x12C84748: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C89A70: g_type_register_fundamental (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C67AB1: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C61927: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x400F4A9: call_init.part.0 (in /usr/lib64/ld-2.26.so)
==6026==    by 0x400F5B5: _dl_init (in /usr/lib64/ld-2.26.so)
==6026==    by 0x4000F09: ??? (in /usr/lib64/ld-2.26.so)
==6026==    by 0x2: ???
==6026==    by 0x1FFF00008A: ???
==6026==
==6026== 16 bytes in 1 blocks are possibly lost in loss record 1,091 of 12,182
==6026==    at 0x4C2EA1E: calloc (vg_replace_malloc.c:711)
==6026==    by 0xB39F3B0: g_malloc0 (in /usr/lib64/libglib-2.0.so.0.5400.3)
==6026==    by 0x12C8486E: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C89A70: g_type_register_fundamental (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C717EB: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C61931: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x400F4A9: call_init.part.0 (in /usr/lib64/ld-2.26.so)
==6026==    by 0x400F5B5: _dl_init (in /usr/lib64/ld-2.26.so)
==6026==    by 0x4000F09: ??? (in /usr/lib64/ld-2.26.so)
==6026==    by 0x2: ???
==6026==    by 0x1FFF00008A: ???
==6026==    by 0x1FFF000098: ???
==6026==
==6026== 16 bytes in 1 blocks are possibly lost in loss record 1,092 of 12,182
==6026==    at 0x4C2CAAC: malloc (vg_replace_malloc.c:298)
==6026==    by 0x4C2EC5F: realloc (vg_replace_malloc.c:785)
==6026==    by 0xB39F41F: g_realloc (in /usr/lib64/libglib-2.0.so.0.5400.3)
==6026==    by 0x12C84748: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C89A70: g_type_register_fundamental (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C717EB: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C61931: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x400F4A9: call_init.part.0 (in /usr/lib64/ld-2.26.so)
==6026==    by 0x400F5B5: _dl_init (in /usr/lib64/ld-2.26.so)
==6026==    by 0x4000F09: ??? (in /usr/lib64/ld-2.26.so)
==6026==    by 0x2: ???
==6026==    by 0x1FFF00008A: ???
==6026==
==6026== 16 bytes in 1 blocks are possibly lost in loss record 1,093 of 12,182
==6026==    at 0x4C2EA1E: calloc (vg_replace_malloc.c:711)
==6026==    by 0xB39F3B0: g_malloc0 (in /usr/lib64/libglib-2.0.so.0.5400.3)
==6026==    by 0x12C8486E: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C89A70: g_type_register_fundamental (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C6C67B: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C61936: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x400F4A9: call_init.part.0 (in /usr/lib64/ld-2.26.so)
==6026==    by 0x400F5B5: _dl_init (in /usr/lib64/ld-2.26.so)
==6026==    by 0x4000F09: ??? (in /usr/lib64/ld-2.26.so)
==6026==    by 0x2: ???
==6026==    by 0x1FFF00008A: ???
==6026==    by 0x1FFF000098: ???
==6026==
==6026== 16 bytes in 1 blocks are possibly lost in loss record 1,094 of 12,182
==6026==    at 0x4C2CAAC: malloc (vg_replace_malloc.c:298)
==6026==    by 0x4C2EC5F: realloc (vg_replace_malloc.c:785)
==6026==    by 0xB39F41F: g_realloc (in /usr/lib64/libglib-2.0.so.0.5400.3)
==6026==    by 0x12C84748: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C89A70: g_type_register_fundamental (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C6C67B: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C61936: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x400F4A9: call_init.part.0 (in /usr/lib64/ld-2.26.so)
==6026==    by 0x400F5B5: _dl_init (in /usr/lib64/ld-2.26.so)
==6026==    by 0x4000F09: ??? (in /usr/lib64/ld-2.26.so)
==6026==    by 0x2: ???
==6026==    by 0x1FFF00008A: ???
==6026==
==6026== 18 bytes in 2 blocks are definitely lost in loss record 1,130 of 12,182
==6026==    at 0x4C2CB6B: malloc (vg_replace_malloc.c:299)
==6026==    by 0x9541769: strdup (in /usr/lib64/libc-2.26.so)
==6026==    by 0x79F4081: _profile_fetch_from_conf (elm_config.c:1431)
==6026==    by 0x7A01EE9: _config_profile_change_delay_cb (elm_config.c:4235)
==6026==    by 0x5CB8C15: _ecore_call_task_cb (ecore_private.h:442)
==6026==    by 0x5CB8C15: _ecore_timer_legacy_tick (ecore_timer.c:160)
==6026==    by 0xB8CDD8F: _event_callback_call (eo_base_class.c:1671)
==6026==    by 0xB8CDD8F: _efl_object_event_callback_call (eo_base_class.c:1755)
==6026==    by 0xB8C9216: efl_event_callback_call (eo_base_class.c:1758)
==6026==    by 0x5CB998D: _efl_loop_timer_expired_call (ecore_timer.c:634)
==6026==    by 0x5CB9BC8: _efl_loop_timer_expired_timers_call (ecore_timer.c:587)
==6026==    by 0x5C90BA6: _ecore_main_loop_iterate_internal (ecore_main.c:2317)
==6026==    by 0x5C9158C: _ecore_main_loop_begin (ecore_main.c:1175)
==6026==    by 0x5C96CE8: _efl_loop_begin (efl_loop.c:83)
==6026==
==6026== 32 bytes in 1 blocks are definitely lost in loss record 1,727 of 12,182
==6026==    at 0x4C2CB6B: malloc (vg_replace_malloc.c:299)
==6026==    by 0x539DFBC: eina_array_new (eina_array.c:280)
==6026==    by 0x53BC206: eina_module_arch_list_get (eina_module.c:498)
==6026==    by 0x53BAB69: eina_mempool_init (eina_mempool.c:180)
==6026==    by 0x53A1B43: eina_debug_init (eina_debug.c:715)
==6026==    by 0x53B3B02: eina_init (eina_main.c:297)
==6026==    by 0x5433DA: main (e_main.c:289)
==6026==
==6026== 32 bytes in 1 blocks are definitely lost in loss record 1,728 of 12,182
==6026==    at 0x4C2EA1E: calloc (vg_replace_malloc.c:711)
==6026==    by 0x6B2B7D8: generic_cache_new (evas_common_generic_cache.c:7)
==6026==    by 0x6B3F826: eng_engine_new (evas_engine.c:3880)
==6026==    by 0x6A0B4D4: evas_output_method_set (evas_main.c:1222)
==6026==    by 0x7EA6865: ecore_evas_buffer_allocfunc_new (ecore_evas_buffer.c:810)
==6026==    by 0x54995F: _e_main_test_formats (e_main.c:1551)
==6026==    by 0x5460F9: main (e_main.c:771)
==6026==
==6026== 48 bytes in 1 blocks are definitely lost in loss record 4,185 of 12,182
==6026==    at 0x4C2EA1E: calloc (vg_replace_malloc.c:711)
==6026==    by 0x5C9AC87: _efl_loop_message_handler_message_send (efl_loop_message_handler.c:52)
==6026==    by 0x5C9A75E: efl_loop_message_handler_message_send (efl_loop_message_handler.eo.c:10)
==6026==    by 0x5C8A384: ecore_future_schedule (ecore_events.c:199)
==6026==    by 0x53C1695: _eina_future_schedule (eina_promise.c:486)
==6026==    by 0x53C1695: _eina_promise_deliver (eina_promise.c:512)
==6026==    by 0x53C34A6: eina_promise_resolve (eina_promise.c:770)
==6026==    by 0x53C3B62: eina_future_resolved (eina_promise.c:893)
==6026==    by 0x5C9811A: _efl_loop_job (efl_loop.c:427)
==6026==    by 0x5C96046: efl_loop_job (efl_loop.eo.c:36)
==6026==    by 0x5CA098B: _efl_io_copier_job_schedule (efl_io_copier.c:146)
==6026==    by 0xB8CDD8F: _event_callback_call (eo_base_class.c:1671)
==6026==    by 0xB8CDD8F: _efl_object_event_callback_call (eo_base_class.c:1755)
==6026==    by 0xB8C9216: efl_event_callback_call (eo_base_class.c:1758)
==6026==
==6026== 64 bytes in 1 blocks are definitely lost in loss record 5,056 of 12,182
==6026==    at 0x4C2EA1E: calloc (vg_replace_malloc.c:711)
==6026==    by 0x583FC58: _eet_data_descriptor_decode (eet_data.c:3591)
==6026==    by 0x5843350: eet_data_read_cipher (eet_data.c:2297)
==6026==    by 0x49A9A5: e_config_domain_load (e_config.c:1948)
==6026==    by 0x292B8F15: emix_config_init (e_mod_config.c:135)
==6026==    by 0x292B7FC3: e_modapi_init (e_mod_main.c:1508)
==6026==    by 0x5576FD: e_module_enable (e_module.c:524)
==6026==    by 0x558967: _e_module_cb_idler (e_module.c:876)
==6026==    by 0x5C8EC0E: _ecore_call_task_cb (ecore_private.h:442)
==6026==    by 0x5C8EC0E: _ecore_factorized_idle_process (ecore_idler.c:35)
==6026==    by 0xB8CDD1E: _event_callback_call (eo_base_class.c:1671)
==6026==    by 0xB8CDD1E: _efl_object_event_callback_call (eo_base_class.c:1755)
==6026==    by 0xB8C9216: efl_event_callback_call (eo_base_class.c:1758)
==6026==    by 0x5C91058: _ecore_main_loop_iterate_internal (ecore_main.c:2352)
==6026==
==6026== 64 bytes in 2 blocks are definitely lost in loss record 5,057 of 12,182
==6026==    at 0x4C2EA1E: calloc (vg_replace_malloc.c:711)
==6026==    by 0x92952AE: _ecore_x_event_handle_xkb (ecore_x_events.c:2654)
==6026==    by 0x92866B4: _ecore_x_fd_handler (ecore_x.c:1238)
==6026==    by 0x5C8F73C: _ecore_call_fd_cb (ecore_private.h:492)
==6026==    by 0x5C8F73C: _ecore_main_fd_handlers_buf_call.isra.7.part.8 (ecore_main.c:2111)
==6026==    by 0x5C90D0B: _ecore_main_fd_handlers_buf_call (ecore_main.c:2428)
==6026==    by 0x5C90D0B: _ecore_main_loop_iterate_internal (ecore_main.c:2428)
==6026==    by 0x5C9158C: _ecore_main_loop_begin (ecore_main.c:1175)
==6026==    by 0x5C96CE8: _efl_loop_begin (efl_loop.c:83)
==6026==    by 0x5C95EC6: efl_loop_begin (efl_loop.eo.c:28)
==6026==    by 0x5C91656: ecore_main_loop_begin (ecore_main.c:1248)
==6026==    by 0x54859F: main (e_main.c:1090)
==6026==
==6026== 82 bytes in 1 blocks are definitely lost in loss record 6,495 of 12,182
==6026==    at 0x4C2CB6B: malloc (vg_replace_malloc.c:299)
==6026==    by 0x53BB719: eina_module_new (eina_module.c:272)
==6026==    by 0x6AAC812: evas_module_find_type.part.4 (evas_module.c:585)
==6026==    by 0x6A08E22: evas_render_method_lookup (evas_main.c:642)
==6026==    by 0x20F3384E: ecore_evas_software_x11_new_internal (ecore_evas_x.c:4040)
==6026==    by 0x7EA2466: ecore_evas_software_x11_new (ecore_evas.c:3809)
==6026==    by 0x5F16A9: e_comp_x_randr_canvas_new (e_comp_x_randr.c:930)
==6026==    by 0x5EC78E: _e_comp_x_setup (e_comp_x.c:5697)
==6026==    by 0x5ECCE4: _e_comp_x_screens_setup (e_comp_x.c:5785)
==6026==    by 0x5ED132: e_comp_x_init (e_comp_x.c:5849)
==6026==    by 0x47566A: e_comp_init (e_comp.c:1118)
==6026==    by 0x549E93: _e_main_screens_init (e_main.c:1624)
==6026==
==6026== 96 bytes in 1 blocks are possibly lost in loss record 7,057 of 12,182
==6026==    at 0x4C2EA1E: calloc (vg_replace_malloc.c:711)
==6026==    by 0xB39F3B0: g_malloc0 (in /usr/lib64/libglib-2.0.so.0.5400.3)
==6026==    by 0x12C83E21: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C83FCA: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C6184A: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x400F4A9: call_init.part.0 (in /usr/lib64/ld-2.26.so)
==6026==    by 0x400F5B5: _dl_init (in /usr/lib64/ld-2.26.so)
==6026==    by 0x4000F09: ??? (in /usr/lib64/ld-2.26.so)
==6026==    by 0x2: ???
==6026==    by 0x1FFF00008A: ???
==6026==    by 0x1FFF000098: ???
==6026==    by 0x1FFF0000A1: ???
==6026==
==6026== 96 bytes in 1 blocks are possibly lost in loss record 7,058 of 12,182
==6026==    at 0x4C2EA1E: calloc (vg_replace_malloc.c:711)
==6026==    by 0xB39F3B0: g_malloc0 (in /usr/lib64/libglib-2.0.so.0.5400.3)
==6026==    by 0x12C83E21: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C83FCA: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C89A62: g_type_register_fundamental (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C67A4E: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C61927: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x400F4A9: call_init.part.0 (in /usr/lib64/ld-2.26.so)
==6026==    by 0x400F5B5: _dl_init (in /usr/lib64/ld-2.26.so)
==6026==    by 0x4000F09: ??? (in /usr/lib64/ld-2.26.so)
==6026==    by 0x2: ???
==6026==    by 0x1FFF00008A: ???
==6026==
==6026== 96 bytes in 1 blocks are possibly lost in loss record 7,059 of 12,182
==6026==    at 0x4C2EA1E: calloc (vg_replace_malloc.c:711)
==6026==    by 0xB39F3B0: g_malloc0 (in /usr/lib64/libglib-2.0.so.0.5400.3)
==6026==    by 0x12C83E21: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C83FCA: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C89A62: g_type_register_fundamental (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C67AB1: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C61927: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x400F4A9: call_init.part.0 (in /usr/lib64/ld-2.26.so)
==6026==    by 0x400F5B5: _dl_init (in /usr/lib64/ld-2.26.so)
==6026==    by 0x4000F09: ??? (in /usr/lib64/ld-2.26.so)
==6026==    by 0x2: ???
==6026==    by 0x1FFF00008A: ???
==6026==
==6026== 96 bytes in 1 blocks are possibly lost in loss record 7,060 of 12,182
==6026==    at 0x4C2EA1E: calloc (vg_replace_malloc.c:711)
==6026==    by 0xB39F3B0: g_malloc0 (in /usr/lib64/libglib-2.0.so.0.5400.3)
==6026==    by 0x12C83E21: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C83FCA: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C89A62: g_type_register_fundamental (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C717EB: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C61931: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x400F4A9: call_init.part.0 (in /usr/lib64/ld-2.26.so)
==6026==    by 0x400F5B5: _dl_init (in /usr/lib64/ld-2.26.so)
==6026==    by 0x4000F09: ??? (in /usr/lib64/ld-2.26.so)
==6026==    by 0x2: ???
==6026==    by 0x1FFF00008A: ???
==6026==
==6026== 96 bytes in 1 blocks are possibly lost in loss record 7,061 of 12,182
==6026==    at 0x4C2EA1E: calloc (vg_replace_malloc.c:711)
==6026==    by 0xB39F3B0: g_malloc0 (in /usr/lib64/libglib-2.0.so.0.5400.3)
==6026==    by 0x12C83E21: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C83FCA: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C89A62: g_type_register_fundamental (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C6C67B: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C61936: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x400F4A9: call_init.part.0 (in /usr/lib64/ld-2.26.so)
==6026==    by 0x400F5B5: _dl_init (in /usr/lib64/ld-2.26.so)
==6026==    by 0x4000F09: ??? (in /usr/lib64/ld-2.26.so)
==6026==    by 0x2: ???
==6026==    by 0x1FFF00008A: ???
==6026==
==6026== 96 bytes in 3 blocks are definitely lost in loss record 7,063 of 12,182
==6026==    at 0x4C2EA1E: calloc (vg_replace_malloc.c:711)
==6026==    by 0x92952AE: _ecore_x_event_handle_xkb (ecore_x_events.c:2654)
==6026==    by 0x92866B4: _ecore_x_fd_handler (ecore_x.c:1238)
==6026==    by 0x5C8F73C: _ecore_call_fd_cb (ecore_private.h:492)
==6026==    by 0x5C8F73C: _ecore_main_fd_handlers_buf_call.isra.7.part.8 (ecore_main.c:2111)
==6026==    by 0x5C90DC5: _ecore_main_fd_handlers_buf_call (ecore_main.c:2358)
==6026==    by 0x5C90DC5: _ecore_main_loop_iterate_internal (ecore_main.c:2359)
==6026==    by 0x5C9158C: _ecore_main_loop_begin (ecore_main.c:1175)
==6026==    by 0x5C96CE8: _efl_loop_begin (efl_loop.c:83)
==6026==    by 0x5C95EC6: efl_loop_begin (efl_loop.eo.c:28)
==6026==    by 0x5C91656: ecore_main_loop_begin (ecore_main.c:1248)
==6026==    by 0x54859F: main (e_main.c:1090)
==6026==
==6026== 112 bytes in 2 blocks are possibly lost in loss record 7,219 of 12,182
==6026==    at 0x4C2CB6B: malloc (vg_replace_malloc.c:299)
==6026==    by 0x87F77D8: wl_global_create (in /usr/lib64/libwayland-server.so.0.1.0)
==6026==    by 0x85E67A4: comp_smart_add (efl_wl.c:5369)
==6026==    by 0x6A3158C: evas_object_smart_add (evas_object_smart.c:682)
==6026==    by 0x5D960B: gadget_create (e_gadget_runner.c:875)
==6026==    by 0x5D9EB4: sandbox_create (e_gadget_runner.c:1036)
==6026==    by 0x50138E: _gadget_object_create (e_gadget.c:523)
==6026==    by 0x5074EA: e_gadget_external_type_add (e_gadget.c:2110)
==6026==    by 0x5DA182: gadget_dir_add (e_gadget_runner.c:1097)
==6026==    by 0x5DA331: list_main_cb (e_gadget_runner.c:1140)
==6026==    by 0x725A698: _eio_direct_notify (eio_file.c:257)
==6026==    by 0x5CBA768: _ecore_notify_handler (ecore_thread.c:276)
==6026==
==6026== 112 bytes in 2 blocks are possibly lost in loss record 7,220 of 12,182
==6026==    at 0x4C2CB6B: malloc (vg_replace_malloc.c:299)
==6026==    by 0x87F77D8: wl_global_create (in /usr/lib64/libwayland-server.so.0.1.0)
==6026==    by 0x85E67C3: comp_smart_add (efl_wl.c:5370)
==6026==    by 0x6A3158C: evas_object_smart_add (evas_object_smart.c:682)
==6026==    by 0x5D960B: gadget_create (e_gadget_runner.c:875)
==6026==    by 0x5D9EB4: sandbox_create (e_gadget_runner.c:1036)
==6026==    by 0x50138E: _gadget_object_create (e_gadget.c:523)
==6026==    by 0x5074EA: e_gadget_external_type_add (e_gadget.c:2110)
==6026==    by 0x5DA182: gadget_dir_add (e_gadget_runner.c:1097)
==6026==    by 0x5DA331: list_main_cb (e_gadget_runner.c:1140)
==6026==    by 0x725A698: _eio_direct_notify (eio_file.c:257)
==6026==    by 0x5CBA768: _ecore_notify_handler (ecore_thread.c:276)
==6026==
==6026== 112 bytes in 2 blocks are possibly lost in loss record 7,221 of 12,182
==6026==    at 0x4C2CB6B: malloc (vg_replace_malloc.c:299)
==6026==    by 0x87F77D8: wl_global_create (in /usr/lib64/libwayland-server.so.0.1.0)
==6026==    by 0x85E67E2: comp_smart_add (efl_wl.c:5371)
==6026==    by 0x6A3158C: evas_object_smart_add (evas_object_smart.c:682)
==6026==    by 0x5D960B: gadget_create (e_gadget_runner.c:875)
==6026==    by 0x5D9EB4: sandbox_create (e_gadget_runner.c:1036)
==6026==    by 0x50138E: _gadget_object_create (e_gadget.c:523)
==6026==    by 0x5074EA: e_gadget_external_type_add (e_gadget.c:2110)
==6026==    by 0x5DA182: gadget_dir_add (e_gadget_runner.c:1097)
==6026==    by 0x5DA331: list_main_cb (e_gadget_runner.c:1140)
==6026==    by 0x725A698: _eio_direct_notify (eio_file.c:257)
==6026==    by 0x5CBA768: _ecore_notify_handler (ecore_thread.c:276)
==6026==
==6026== 112 bytes in 2 blocks are possibly lost in loss record 7,222 of 12,182
==6026==    at 0x4C2CB6B: malloc (vg_replace_malloc.c:299)
==6026==    by 0x87F77D8: wl_global_create (in /usr/lib64/libwayland-server.so.0.1.0)
==6026==    by 0x85E6801: comp_smart_add (efl_wl.c:5372)
==6026==    by 0x6A3158C: evas_object_smart_add (evas_object_smart.c:682)
==6026==    by 0x5D960B: gadget_create (e_gadget_runner.c:875)
==6026==    by 0x5D9EB4: sandbox_create (e_gadget_runner.c:1036)
==6026==    by 0x50138E: _gadget_object_create (e_gadget.c:523)
==6026==    by 0x5074EA: e_gadget_external_type_add (e_gadget.c:2110)
==6026==    by 0x5DA182: gadget_dir_add (e_gadget_runner.c:1097)
==6026==    by 0x5DA331: list_main_cb (e_gadget_runner.c:1140)
==6026==    by 0x725A698: _eio_direct_notify (eio_file.c:257)
==6026==    by 0x5CBA768: _ecore_notify_handler (ecore_thread.c:276)
==6026==
==6026== 112 bytes in 2 blocks are possibly lost in loss record 7,223 of 12,182
==6026==    at 0x4C2CB6B: malloc (vg_replace_malloc.c:299)
==6026==    by 0x87F77D8: wl_global_create (in /usr/lib64/libwayland-server.so.0.1.0)
==6026==    by 0x85E6820: comp_smart_add (efl_wl.c:5373)
==6026==    by 0x6A3158C: evas_object_smart_add (evas_object_smart.c:682)
==6026==    by 0x5D960B: gadget_create (e_gadget_runner.c:875)
==6026==    by 0x5D9EB4: sandbox_create (e_gadget_runner.c:1036)
==6026==    by 0x50138E: _gadget_object_create (e_gadget.c:523)
==6026==    by 0x5074EA: e_gadget_external_type_add (e_gadget.c:2110)
==6026==    by 0x5DA182: gadget_dir_add (e_gadget_runner.c:1097)
==6026==    by 0x5DA331: list_main_cb (e_gadget_runner.c:1140)
==6026==    by 0x725A698: _eio_direct_notify (eio_file.c:257)
==6026==    by 0x5CBA768: _ecore_notify_handler (ecore_thread.c:276)
==6026==
==6026== 112 bytes in 2 blocks are possibly lost in loss record 7,224 of 12,182
==6026==    at 0x4C2CB6B: malloc (vg_replace_malloc.c:299)
==6026==    by 0x87F77D8: wl_global_create (in /usr/lib64/libwayland-server.so.0.1.0)
==6026==    by 0x85E683F: comp_smart_add (efl_wl.c:5374)
==6026==    by 0x6A3158C: evas_object_smart_add (evas_object_smart.c:682)
==6026==    by 0x5D960B: gadget_create (e_gadget_runner.c:875)
==6026==    by 0x5D9EB4: sandbox_create (e_gadget_runner.c:1036)
==6026==    by 0x50138E: _gadget_object_create (e_gadget.c:523)
==6026==    by 0x5074EA: e_gadget_external_type_add (e_gadget.c:2110)
==6026==    by 0x5DA182: gadget_dir_add (e_gadget_runner.c:1097)
==6026==    by 0x5DA331: list_main_cb (e_gadget_runner.c:1140)
==6026==    by 0x725A698: _eio_direct_notify (eio_file.c:257)
==6026==    by 0x5CBA768: _ecore_notify_handler (ecore_thread.c:276)
==6026==
==6026== 112 bytes in 2 blocks are possibly lost in loss record 7,225 of 12,182
==6026==    at 0x4C2CB6B: malloc (vg_replace_malloc.c:299)
==6026==    by 0x87F77D8: wl_global_create (in /usr/lib64/libwayland-server.so.0.1.0)
==6026==    by 0x87F920D: wl_display_init_shm (in /usr/lib64/libwayland-server.so.0.1.0)
==6026==    by 0x85E6848: comp_smart_add (efl_wl.c:5375)
==6026==    by 0x6A3158C: evas_object_smart_add (evas_object_smart.c:682)
==6026==    by 0x5D960B: gadget_create (e_gadget_runner.c:875)
==6026==    by 0x5D9EB4: sandbox_create (e_gadget_runner.c:1036)
==6026==    by 0x50138E: _gadget_object_create (e_gadget.c:523)
==6026==    by 0x5074EA: e_gadget_external_type_add (e_gadget.c:2110)
==6026==    by 0x5DA182: gadget_dir_add (e_gadget_runner.c:1097)
==6026==    by 0x5DA331: list_main_cb (e_gadget_runner.c:1140)
==6026==    by 0x725A698: _eio_direct_notify (eio_file.c:257)
==6026==
==6026== 112 bytes in 2 blocks are possibly lost in loss record 7,226 of 12,182
==6026==    at 0x4C2CB6B: malloc (vg_replace_malloc.c:299)
==6026==    by 0x87F77D8: wl_global_create (in /usr/lib64/libwayland-server.so.0.1.0)
==6026==    by 0x5D9785: gadget_create (e_gadget_runner.c:886)
==6026==    by 0x5D9EB4: sandbox_create (e_gadget_runner.c:1036)
==6026==    by 0x50138E: _gadget_object_create (e_gadget.c:523)
==6026==    by 0x5074EA: e_gadget_external_type_add (e_gadget.c:2110)
==6026==    by 0x5DA182: gadget_dir_add (e_gadget_runner.c:1097)
==6026==    by 0x5DA331: list_main_cb (e_gadget_runner.c:1140)
==6026==    by 0x725A698: _eio_direct_notify (eio_file.c:257)
==6026==    by 0x5CBA768: _ecore_notify_handler (ecore_thread.c:276)
==6026==    by 0x5C87EB1: _ecore_main_call_flush (ecore.c:1087)
==6026==    by 0x5CB7D9B: _ecore_pipe_handler_call (ecore_pipe.c:607)
==6026==    by 0x5CB7D9B: _ecore_pipe_read (ecore_pipe.c:730)
==6026==
==6026== 112 bytes in 2 blocks are possibly lost in loss record 7,227 of 12,182
==6026==    at 0x4C2CB6B: malloc (vg_replace_malloc.c:299)
==6026==    by 0x87F77D8: wl_global_create (in /usr/lib64/libwayland-server.so.0.1.0)
==6026==    by 0x5D982F: gadget_create (e_gadget_runner.c:892)
==6026==    by 0x5D9EB4: sandbox_create (e_gadget_runner.c:1036)
==6026==    by 0x50138E: _gadget_object_create (e_gadget.c:523)
==6026==    by 0x5074EA: e_gadget_external_type_add (e_gadget.c:2110)
==6026==    by 0x5DA182: gadget_dir_add (e_gadget_runner.c:1097)
==6026==    by 0x5DA331: list_main_cb (e_gadget_runner.c:1140)
==6026==    by 0x725A698: _eio_direct_notify (eio_file.c:257)
==6026==    by 0x5CBA768: _ecore_notify_handler (ecore_thread.c:276)
==6026==    by 0x5C87EB1: _ecore_main_call_flush (ecore.c:1087)
==6026==    by 0x5CB7D9B: _ecore_pipe_handler_call (ecore_pipe.c:607)
==6026==    by 0x5CB7D9B: _ecore_pipe_read (ecore_pipe.c:730)
==6026==
==6026== 128 bytes in 2 blocks are possibly lost in loss record 7,547 of 12,182
==6026==    at 0x4C2CB6B: malloc (vg_replace_malloc.c:299)
==6026==    by 0x87F96F5: wl_event_loop_add_fd (in /usr/lib64/libwayland-server.so.0.1.0)
==6026==    by 0x87F6E37: ??? (in /usr/lib64/libwayland-server.so.0.1.0)
==6026==    by 0x87F79F9: wl_display_add_socket_auto (in /usr/lib64/libwayland-server.so.0.1.0)
==6026==    by 0x83C163F: ecore_wl2_display_create (ecore_wl2_display.c:833)
==6026==    by 0x85E6656: comp_smart_add (efl_wl.c:5344)
==6026==    by 0x6A3158C: evas_object_smart_add (evas_object_smart.c:682)
==6026==    by 0x5D960B: gadget_create (e_gadget_runner.c:875)
==6026==    by 0x5D9EB4: sandbox_create (e_gadget_runner.c:1036)
==6026==    by 0x50138E: _gadget_object_create (e_gadget.c:523)
==6026==    by 0x5074EA: e_gadget_external_type_add (e_gadget.c:2110)
==6026==    by 0x5DA182: gadget_dir_add (e_gadget_runner.c:1097)
==6026==
==6026== 132 bytes in 1 blocks are possibly lost in loss record 7,576 of 12,182
==6026==    at 0x4C2EA1E: calloc (vg_replace_malloc.c:711)
==6026==    by 0xB39F3B0: g_malloc0 (in /usr/lib64/libglib-2.0.so.0.5400.3)
==6026==    by 0x12C84E5F: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C89AC0: g_type_register_fundamental (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C67A4E: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C61927: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x400F4A9: call_init.part.0 (in /usr/lib64/ld-2.26.so)
==6026==    by 0x400F5B5: _dl_init (in /usr/lib64/ld-2.26.so)
==6026==    by 0x4000F09: ??? (in /usr/lib64/ld-2.26.so)
==6026==    by 0x2: ???
==6026==    by 0x1FFF00008A: ???
==6026==    by 0x1FFF000098: ???
==6026==
==6026== 132 bytes in 1 blocks are possibly lost in loss record 7,577 of 12,182
==6026==    at 0x4C2EA1E: calloc (vg_replace_malloc.c:711)
==6026==    by 0xB39F3B0: g_malloc0 (in /usr/lib64/libglib-2.0.so.0.5400.3)
==6026==    by 0x12C84E5F: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C89AC0: g_type_register_fundamental (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C67AB1: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C61927: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x400F4A9: call_init.part.0 (in /usr/lib64/ld-2.26.so)
==6026==    by 0x400F5B5: _dl_init (in /usr/lib64/ld-2.26.so)
==6026==    by 0x4000F09: ??? (in /usr/lib64/ld-2.26.so)
==6026==    by 0x2: ???
==6026==    by 0x1FFF00008A: ???
==6026==    by 0x1FFF000098: ???
==6026==
==6026== 148 bytes in 1 blocks are possibly lost in loss record 7,815 of 12,182
==6026==    at 0x4C2EA1E: calloc (vg_replace_malloc.c:711)
==6026==    by 0xB39F3B0: g_malloc0 (in /usr/lib64/libglib-2.0.so.0.5400.3)
==6026==    by 0x12C84C78: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C89AC0: g_type_register_fundamental (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C717EB: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C61931: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x400F4A9: call_init.part.0 (in /usr/lib64/ld-2.26.so)
==6026==    by 0x400F5B5: _dl_init (in /usr/lib64/ld-2.26.so)
==6026==    by 0x4000F09: ??? (in /usr/lib64/ld-2.26.so)
==6026==    by 0x2: ???
==6026==    by 0x1FFF00008A: ???
==6026==    by 0x1FFF000098: ???
==6026==
==6026== 148 bytes in 1 blocks are possibly lost in loss record 7,816 of 12,182
==6026==    at 0x4C2EA1E: calloc (vg_replace_malloc.c:711)
==6026==    by 0xB39F3B0: g_malloc0 (in /usr/lib64/libglib-2.0.so.0.5400.3)
==6026==    by 0x12C84C78: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C89AC0: g_type_register_fundamental (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C6C67B: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C61936: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x400F4A9: call_init.part.0 (in /usr/lib64/ld-2.26.so)
==6026==    by 0x400F5B5: _dl_init (in /usr/lib64/ld-2.26.so)
==6026==    by 0x4000F09: ??? (in /usr/lib64/ld-2.26.so)
==6026==    by 0x2: ???
==6026==    by 0x1FFF00008A: ???
==6026==    by 0x1FFF000098: ???
==6026==
==6026== 160 bytes in 5 blocks are definitely lost in loss record 7,998 of 12,182
==6026==    at 0x4C2EA1E: calloc (vg_replace_malloc.c:711)
==6026==    by 0x92952AE: _ecore_x_event_handle_xkb (ecore_x_events.c:2654)
==6026==    by 0x92866B4: _ecore_x_fd_handler (ecore_x.c:1238)
==6026==    by 0x5C90C93: _ecore_call_fd_cb (ecore_private.h:492)
==6026==    by 0x5C90C93: _ecore_main_fd_handlers_call (ecore_main.c:2054)
==6026==    by 0x5C90C93: _ecore_main_loop_iterate_internal (ecore_main.c:2427)
==6026==    by 0x5C9158C: _ecore_main_loop_begin (ecore_main.c:1175)
==6026==    by 0x5C96CE8: _efl_loop_begin (efl_loop.c:83)
==6026==    by 0x5C95EC6: efl_loop_begin (efl_loop.eo.c:28)
==6026==    by 0x5C91656: ecore_main_loop_begin (ecore_main.c:1248)
==6026==    by 0x54859F: main (e_main.c:1090)
==6026==
==6026== 184 bytes in 1 blocks are possibly lost in loss record 8,349 of 12,182
==6026==    at 0x4C2EC15: realloc (vg_replace_malloc.c:785)
==6026==    by 0xB39F41F: g_realloc (in /usr/lib64/libglib-2.0.so.0.5400.3)
==6026==    by 0x12C83DA0: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C89FD1: g_type_register_static (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C7348B: g_param_type_register_static (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C756DA: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x12C6193B: ??? (in /usr/lib64/libgobject-2.0.so.0.5400.3)
==6026==    by 0x400F4A9: call_init.part.0 (in /usr/lib64/ld-2.26.so)
==6026==    by 0x400F5B5: _dl_init (in /usr/lib64/ld-2.26.so)
==6026==    by 0x4000F09: ??? (in /usr/lib64/ld-2.26.so)
==6026==    by 0x2: ???
==6026==    by 0x1FFF00008A: ???
==6026==
==6026== 416 bytes in 1 blocks are possibly lost in loss record 9,607 of 12,182
==6026==    at 0x4C2EA1E: calloc (vg_replace_malloc.c:711)
==6026==    by 0x4011B51: allocate_dtv (in /usr/lib64/ld-2.26.so)
==6026==    by 0x40124DD: _dl_allocate_tls (in /usr/lib64/ld-2.26.so)
==6026==    by 0x561DFF9: pthread_create@@GLIBC_2.2.5 (in /usr/lib64/libpthread-2.26.so)
==6026==    by 0x53A36F4: _eina_debug_cpu_init (eina_debug_cpu.c:321)
==6026==    by 0x53A1BED: eina_debug_init (eina_debug.c:735)
==6026==    by 0x53B3B02: eina_init (eina_main.c:297)
==6026==    by 0x5433DA: main (e_main.c:289)
==6026==
==6026== 432 bytes in 1 blocks are possibly lost in loss record 9,636 of 12,182
==6026==    at 0x4C2EA1E: calloc (vg_replace_malloc.c:711)
==6026==    by 0x4011B51: allocate_dtv (in /usr/lib64/ld-2.26.so)
==6026==    by 0x40124DD: _dl_allocate_tls (in /usr/lib64/ld-2.26.so)
==6026==    by 0x561DFF9: pthread_create@@GLIBC_2.2.5 (in /usr/lib64/libpthread-2.26.so)
==6026==    by 0x53D0834: _eina_thread_create.constprop.0 (eina_thread.c:98)
==6026==    by 0x53D092F: eina_thread_create (eina_thread.c:190)
==6026==    by 0x6B1B72A: evas_thread_init (evas_thread_render.c:251)
==6026==    by 0x6A08B49: evas_init (evas_main.c:92)
==6026==    by 0x7EA0BC4: ecore_evas_init (ecore_evas.c:594)
==6026==    by 0x5442D6: main (e_main.c:450)
==6026==
==6026== 432 bytes in 1 blocks are possibly lost in loss record 9,637 of 12,182
==6026==    at 0x4C2EA1E: calloc (vg_replace_malloc.c:711)
==6026==    by 0x4011B51: allocate_dtv (in /usr/lib64/ld-2.26.so)
==6026==    by 0x40124DD: _dl_allocate_tls (in /usr/lib64/ld-2.26.so)
==6026==    by 0x561DFF9: pthread_create@@GLIBC_2.2.5 (in /usr/lib64/libpthread-2.26.so)
==6026==    by 0x53D0834: _eina_thread_create.constprop.0 (eina_thread.c:98)
==6026==    by 0x53D092F: eina_thread_create (eina_thread.c:190)
==6026==    by 0x6B11F06: evas_common_scale_sample_init (evas_scale_sample.c:909)
==6026==    by 0x6AFCC75: evas_common_init (evas_draw_main.c:137)
==6026==    by 0x6A08B52: evas_init (evas_main.c:95)
==6026==    by 0x7EA0BC4: ecore_evas_init (ecore_evas.c:594)
==6026==    by 0x5442D6: main (e_main.c:450)
==6026==
==6026== 432 bytes in 1 blocks are possibly lost in loss record 9,638 of 12,182
==6026==    at 0x4C2EA1E: calloc (vg_replace_malloc.c:711)
==6026==    by 0x4011B51: allocate_dtv (in /usr/lib64/ld-2.26.so)
==6026==    by 0x40124DD: _dl_allocate_tls (in /usr/lib64/ld-2.26.so)
==6026==    by 0x561DFF9: pthread_create@@GLIBC_2.2.5 (in /usr/lib64/libpthread-2.26.so)
==6026==    by 0x53D0834: _eina_thread_create.constprop.0 (eina_thread.c:98)
==6026==    by 0x53D092F: eina_thread_create (eina_thread.c:190)
==6026==    by 0x5CBC165: ecore_thread_feedback_run (ecore_thread.c:946)
==6026==    by 0x5C888F1: _timer_tick_begin (ecore_anim.c:410)
==6026==    by 0x5C888F1: _begin_tick (ecore_anim.c:456)
==6026==    by 0x5C88951: _ecore_animator_add (ecore_anim.c:542)
==6026==    by 0x47655C: e_comp_new (e_comp.c:1377)
==6026==    by 0x475551: e_comp_init (e_comp.c:1079)
==6026==    by 0x549E93: _e_main_screens_init (e_main.c:1624)
==6026==
==6026== 448 bytes in 1 blocks are possibly lost in loss record 9,675 of 12,182
==6026==    at 0x4C2EA1E: calloc (vg_replace_malloc.c:711)
==6026==    by 0x4011B51: allocate_dtv (in /usr/lib64/ld-2.26.so)
==6026==    by 0x40124DD: _dl_allocate_tls (in /usr/lib64/ld-2.26.so)
==6026==    by 0x561DFF9: pthread_create@@GLIBC_2.2.5 (in /usr/lib64/libpthread-2.26.so)
==6026==    by 0x53D0834: _eina_thread_create.constprop.0 (eina_thread.c:98)
==6026==    by 0x53D092F: eina_thread_create (eina_thread.c:190)
==6026==    by 0x5CBB53D: ecore_thread_run (ecore_thread.c:699)
==6026==    by 0x6AA3C52: evas_preload_thread_run (evas_preload.c:117)
==6026==    by 0x6AA226C: _evas_cache_image_entry_preload_add (evas_cache_image.c:550)
==6026==    by 0x6AA226C: evas_cache_image_preload_data (evas_cache_image.c:1341)
==6026==    by 0x7A61671: _efl_ui_image_smart_internal_file_set (efl_ui_image.c:927)
==6026==    by 0x7A61CDC: _efl_ui_image_efl_file_file_set (efl_ui_image.c:1145)
==6026==    by 0xB69D376: efl_file_set (efl_file.eo.c:10)
==6026==
==6026== 528 bytes in 2 blocks are possibly lost in loss record 10,294 of 12,182
==6026==    at 0x4C2EA1E: calloc (vg_replace_malloc.c:711)
==6026==    by 0x87F7995: wl_display_add_socket_auto (in /usr/lib64/libwayland-server.so.0.1.0)
==6026==    by 0x83C163F: ecore_wl2_display_create (ecore_wl2_display.c:833)
==6026==    by 0x85E6656: comp_smart_add (efl_wl.c:5344)
==6026==    by 0x6A3158C: evas_object_smart_add (evas_object_smart.c:682)
==6026==    by 0x5D960B: gadget_create (e_gadget_runner.c:875)
==6026==    by 0x5D9EB4: sandbox_create (e_gadget_runner.c:1036)
==6026==    by 0x50138E: _gadget_object_create (e_gadget.c:523)
==6026==    by 0x5074EA: e_gadget_external_type_add (e_gadget.c:2110)
==6026==    by 0x5DA182: gadget_dir_add (e_gadget_runner.c:1097)
==6026==    by 0x5DA331: list_main_cb (e_gadget_runner.c:1140)
==6026==    by 0x725A698: _eio_direct_notify (eio_file.c:257)
==6026==
==6026== 2,413 (64 direct, 2,349 indirect) bytes in 1 blocks are definitely lost in loss record 11,545 of 12,182
==6026==    at 0x4C2CB6B: malloc (vg_replace_malloc.c:299)
==6026==    by 0x53A7726: eina_hash_new (eina_hash.c:755)
==6026==    by 0x53BAB4D: eina_mempool_init (eina_mempool.c:177)
==6026==    by 0x53A1B43: eina_debug_init (eina_debug.c:715)
==6026==    by 0x53B3B02: eina_init (eina_main.c:297)
==6026==    by 0x5433DA: main (e_main.c:289)
==6026==
==6026== 5,664 (200 direct, 5,464 indirect) bytes in 1 blocks are definitely lost in loss record 11,847 of 12,182
==6026==    at 0x4C2EA1E: calloc (vg_replace_malloc.c:711)
==6026==    by 0x583BBD2: _eet_data_descriptor_new (eet_data.c:1994)
==6026==    by 0x49E8FE: e_config_descriptor_new (e_config_data.c:31)
==6026==    by 0x292B8BA9: _emix_config_dd_new (e_mod_config.c:72)
==6026==    by 0x292B8EFF: emix_config_init (e_mod_config.c:134)
==6026==    by 0x292B7FC3: e_modapi_init (e_mod_main.c:1508)
==6026==    by 0x5576FD: e_module_enable (e_module.c:524)
==6026==    by 0x558967: _e_module_cb_idler (e_module.c:876)
==6026==    by 0x5C8EC0E: _ecore_call_task_cb (ecore_private.h:442)
==6026==    by 0x5C8EC0E: _ecore_factorized_idle_process (ecore_idler.c:35)
==6026==    by 0xB8CDD1E: _event_callback_call (eo_base_class.c:1671)
==6026==    by 0xB8CDD1E: _efl_object_event_callback_call (eo_base_class.c:1755)
==6026==    by 0xB8C9216: efl_event_callback_call (eo_base_class.c:1758)
==6026==    by 0x5C91058: _ecore_main_loop_iterate_internal (ecore_main.c:2352)
==6026==
==6026== 6,971 (512 direct, 6,459 indirect) bytes in 1 blocks are definitely lost in loss record 11,880 of 12,182
==6026==    at 0x4C2EC15: realloc (vg_replace_malloc.c:785)
==6026==    by 0xBD0F9B8: ??? (in /usr/lib64/libfontconfig.so.1.10.1)
==6026==    by 0xBD100B6: ??? (in /usr/lib64/libfontconfig.so.1.10.1)
==6026==    by 0xBD0351F: FcDefaultSubstitute (in /usr/lib64/libfontconfig.so.1.10.1)
==6026==    by 0x6A73867: evas_font_load (evas_font_dir.c:900)
==6026==    by 0x6A435DD: _evas_text_font_reload (evas_object_text.c:442)
==6026==    by 0xB679EA6: efl_text_font_set (efl_text_font.eo.c:1)
==6026==    by 0x81622D0: _edje_text_recalc_apply (edje_text.c:493)
==6026==    by 0x80E4944: _edje_part_recalc_single_text (edje_calc.c:1543)
==6026==    by 0x80E4944: _edje_part_recalc_single (edje_calc.c:2880)
==6026==    by 0x80E81C1: _edje_part_recalc (edje_calc.c:4172)
==6026==    by 0x80ED12C: _edje_recalc_do (edje_calc.c:964)
==6026==    by 0x815B4DC: _edje_program_run.part.10 (edje_program.c:970)
==6026==
==6026== 7,008 (512 direct, 6,496 indirect) bytes in 1 blocks are definitely lost in loss record 11,883 of 12,182
==6026==    at 0x4C2EC15: realloc (vg_replace_malloc.c:785)
==6026==    by 0xBD0F9B8: ??? (in /usr/lib64/libfontconfig.so.1.10.1)
==6026==    by 0xBD100B6: ??? (in /usr/lib64/libfontconfig.so.1.10.1)
==6026==    by 0xBD0333B: FcDefaultSubstitute (in /usr/lib64/libfontconfig.so.1.10.1)
==6026==    by 0x6A73867: evas_font_load (evas_font_dir.c:900)
==6026==    by 0x6A435DD: _evas_text_font_reload (evas_object_text.c:442)
==6026==    by 0xB679EA6: efl_text_font_set (efl_text_font.eo.c:1)
==6026==    by 0x81622D0: _edje_text_recalc_apply (edje_text.c:493)
==6026==    by 0x80E4944: _edje_part_recalc_single_text (edje_calc.c:1543)
==6026==    by 0x80E4944: _edje_part_recalc_single (edje_calc.c:2880)
==6026==    by 0x80E81C1: _edje_part_recalc (edje_calc.c:4172)
==6026==    by 0x80ED12C: _edje_recalc_do (edje_calc.c:964)
==6026==    by 0x816A7E7: edje_thaw (edje_util.c:311)
==6026==
==6026== LEAK SUMMARY:
==6026==    definitely lost: 1,908 bytes in 23 blocks
==6026==    indirectly lost: 20,768 bytes in 590 blocks
==6026==      possibly lost: 5,176 bytes in 45 blocks
==6026==    still reachable: 10,819,709 bytes in 68,021 blocks
==6026==                       of which reachable via heuristic:
==6026==                         newarray           : 1,536 bytes in 16 blocks
==6026==         suppressed: 0 bytes in 0 blocks
==6026== Reachable blocks (those to which a pointer was found) are not shown.
==6026== To see them, rerun with: --leak-check=full --show-leak-kinds=all
==6026==
==6026== For counts of detected and suppressed errors, rerun with: -v
==6026== Use --track-origins=yes to see where uninitialised values come from
==6026== ERROR SUMMARY: 50 errors from 50 contexts (suppressed: 0 from 0)
zmike added a comment.Jun 13 2018, 1:18 PM

Can reproduce my problem with this at least. Start e in zephyr, open two terminology windows, menu->take screenshot. Black.

No issues using these steps here.

If enlightenment is freezing, you may consider gdb attaching to get a backtrace while it's frozen.

Nope. No freeze. Just a pitch black screenshot.

zmike added a comment.Jun 13 2018, 1:54 PM

Okay, well the screenshot shows up fine as well in the window.

It works fine on my setup, X11, software rendering (A VirtualBox VM).

zmike added a comment.Jun 14 2018, 8:17 AM

Does this happen only in software?

Yes. I can't seem to reproduce in GL.

zmike added a comment.Jun 14 2018, 8:44 AM

Are you able to reproduce this using a default enlightenment+elm config without any modifications?

zmike added a comment.Jun 14 2018, 9:20 AM

Do you get errors in your session log?

ManMower claimed this task.Jun 14 2018, 9:23 AM

Leeeeeroy jenkins!

In T6222#118044, @zmike wrote:

Do you get errors in your session log?

Uh... before when I had only been on software I could reproduce every time... After switching to GL to make sure it was only software, and now switching back to software, I can't reproduce it at all.

I highly highly doubt that this is useful... but here is an strace from running enlightenment -display :1 to open in xephyr... clicking to open two terminology windows from luncher, and hitting take screenshot and getting the all black shot. Since I already added the valgrind, figured I'd add this too just in casies. http://www.smhouston.us/stuff/output.txt

If I start E in software X I can repro every time... If I start in gl or switch to gl then back... I can't.

And I lied. Just reproduced switching from GL back to software... Doesn't seem to happen on GL... Just software.

raster added a subscriber: raster.Jun 27 2018, 10:08 PM

I tired to reproduce on current e git master and efl git master ... I couldn't. xephyr, software rendering. so either the bug has been fixed in efl ... or in e... are you using a specific e revision to reproduce this? i've tried with default theme and flat. valgrind says nothing for me (beyond sometimes that glob thing which is an optimization in fnmatch so ignoreable). i've taking shots of windows, of the whole screen (in xephyr)... saved them... not a peep from valgrind. admittedly i compiled with -O0 because with proper optimizations i get a libvex valgrind internal error.

Git everything -- Some can reproduce some can't. Go figure.

very very odd.i mean without valgrind it may have to do with how memory is laid out by a variation in glibc or other dependencies, but in the end it'd be access to "out of bounds" (non-allocated memory) and valgrind would catch it.

the only other option that comes to mind right now is stack. valgrind can't catch you overwriting a parent stack frame because it's legal to have access to it via ptrs passed in... but if it overwrites something specific that depends on intel vs arm or 32 vs 64bit... but we're all pretty much x86-64 testing here, right?

@okra - your valgrind log also says nothing useful. most of it is "still allocated memory on exit" stuff which should be ignored here in this case. :/ so the crash ... i can't see and neither can oyu. i don't see black either... i see all workingness... :/

I get the impression it's being caused by some memory corruption from some E module that some of us aren't' and some of us are using. Any thoughts on this?

in theory it might be possible - yes. though interestingly it happens AT the point screenshotting occurs. there is no "hook" for that for modules so.... it's some other corruption that trickles on over to the screenshot code path... or it's something else as screenshotting really is getting evas to do the work...

What's the bug on this ticket anyway?

I can get E to freeze when sshotting under X+GL

Seems like the black screenshot thing should have its own ticket?

I think the freeze is now resolved, but the black rectangle is not

netstar closed this task as Resolved.Jul 17 2018, 3:15 AM

Freeze being resolved, have created a new ticket regarding black rectangle:

https://phab.enlightenment.org/T7156

Closing this one.